Package org.drinkless.tdlib

# Class TdApi.Usernames

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Usernames

Enclosing class:
  TdApi

public static class TdApi.Usernames extends TdApi.Object
Describes usernames assigned to a user, a supergroup, or a channel.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String[]`
  `activeUsernames`
  List of active usernames; the first one must be shown as the primary username.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `disabledUsernames`
  List of currently disabled usernames; the username can be activated with toggleUsernameIsActive, toggleBotUsernameIsActive, or toggleSupergroupUsernameIsActive.
  `String`
  `editableUsername`
  The active username, which can be changed with setUsername or setSupergroupUsername.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Usernames()`
  Describes usernames assigned to a user, a supergroup, or a channel.
  `Usernames(String[] activeUsernames, String[] disabledUsernames, String editableUsername)`
  Describes usernames assigned to a user, a supergroup, or a channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### activeUsernames

    public String[] activeUsernames
    List of active usernames; the first one must be shown as the primary username. The order of active usernames can be changed with reorderActiveUsernames, reorderBotActiveUsernames or reorderSupergroupActiveUsernames.

  - ### disabledUsernames

    public String[] disabledUsernames
    List of currently disabled usernames; the username can be activated with toggleUsernameIsActive, toggleBotUsernameIsActive, or toggleSupergroupUsernameIsActive.

  - ### editableUsername

    public String editableUsername
    The active username, which can be changed with setUsername or setSupergroupUsername. Information about other active usernames can be received using getCollectibleItemInfo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Usernames

    public Usernames()
    Describes usernames assigned to a user, a supergroup, or a channel.

  - ### Usernames

    public Usernames(String[] activeUsernames, String[] disabledUsernames, String editableUsername)
    Describes usernames assigned to a user, a supergroup, or a channel.
    Parameters:
      `activeUsernames` - List of active usernames; the first one must be shown as the primary username. The order of active usernames can be changed with reorderActiveUsernames, reorderBotActiveUsernames or reorderSupergroupActiveUsernames.
      `disabledUsernames` - List of currently disabled usernames; the username can be activated with toggleUsernameIsActive, toggleBotUsernameIsActive, or toggleSupergroupUsernameIsActive.
      `editableUsername` - The active username, which can be changed with setUsername or setSupergroupUsername. Information about other active usernames can be received using getCollectibleItemInfo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR